LaraCopilot
LaraCopilot
API ReferenceEndpointsGitHub

Start GitHub connection

Returns a GitHub App installation URL. Redirect the agency end user to `redirect_url`, let them install the GitHub App on the desired account or repositories, and LaraCopilot will complete the callback before redirecting back to `return_url`.

POST
/github/connect/start
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://builder.laracopilot.com/api/v1/github/connect/start" \  -H "Content-Type: application/json" \  -d '{    "external_user_id": "string",    "external_user_name": "string",    "external_user_email": "user@example.com",    "return_url": "http://example.com"  }'
{
  "success": true,
  "message": "GitHub connection flow started successfully.",
  "data": {
    "redirect_url": "string",
    "state": "string"
  },
  "errors": null
}
{
  "success": true,
  "message": "Unauthorized.",
  "data": null,
  "errors": null
}
{
  "success": true,
  "message": "Project not found.",
  "data": null,
  "errors": null
}
{
  "message": "string",
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}